#
# spec file for package supportutils
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define support_libdir /usr/lib/supportconfig

Name:           supportutils
Version:        3.1
Release:        lp150.3.1
Summary:        Support Troubleshooting Tools
License:        GPL-2.0-only
Group:          System/Monitoring
Url:            https://github.com/g23guy/supportutils
Source:         %{name}-%{version}.tar.gz
Requires:       iproute2
Requires:       kmod-compat
Requires:       ncurses-utils
Requires:       net-tools
Requires:       sysfsutils
Requires:       tar
Requires:       util-linux-systemd
Requires:       which
Provides:       supportconfig-plugin-icommand
Provides:       supportconfig-plugin-resource
Provides:       supportconfig-plugin-tag
BuildArch:      noarch

%description
A package containing troubleshooting tools. This package contains
the following: supportconfig, chkbin, getappcore, analyzevmcore

%prep
%setup -q

%build
gzip -9f man/*3
gzip -9f man/*5
gzip -9f man/*8

%install
pwd;ls -la
install -d %{buildroot}/sbin
install -d %{buildroot}/etc
install -d %{buildroot}%{_mandir}/man3
install -d %{buildroot}%{_mandir}/man5
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{support_libdir}/resources
install -d %{buildroot}%{support_libdir}/plugins
install -d %{buildroot}%{_docdir}/%{name}
install -m 544 bin/supportconfig %{buildroot}/sbin
install -m 544 bin/chkbin %{buildroot}/sbin
install -m 544 bin/getappcore %{buildroot}/sbin
install -m 544 bin/analyzevmcore %{buildroot}/sbin
install -m 444 bin/scplugin.rc %{buildroot}%{support_libdir}/resources
install -m 444 bin/supportconfig.rc %{buildroot}%{support_libdir}/resources
install -m 644 man/*.3.gz %{buildroot}%{_mandir}/man3
install -m 644 man/*.5.gz %{buildroot}%{_mandir}/man5
install -m 644 man/*.8.gz %{buildroot}%{_mandir}/man8

%files
%defattr(-,root,root)
/sbin/supportconfig
/sbin/chkbin
/sbin/getappcore
/sbin/analyzevmcore
%dir %{support_libdir}
%dir %{support_libdir}/resources
%dir %{support_libdir}/plugins
%license man/COPYING.GPLv2
%{support_libdir}/resources/*
%doc %{_mandir}/man5/*
%doc %{_mandir}/man3/*
%doc %{_mandir}/man8/*

%changelog
* Mon Mar 26 2018 kukuk@suse.de
- Use %%license instead of %%doc [bsc#1082318]
* Fri Feb  2 2018 jason.record@suse.com
- Accounts for firewalld now (bsc#1079137)
- Added dmesg taint seach
- Removed mii-tool from networking
- Updated HA to use chrony
- Added kdumptool calibrate to crash.txt
- Removed SLES_VER case for sles8,9 and 10
* Fri Feb  2 2018 jason.record@suse.com
- Added tuned feature OPTION_TUNED tuned.txt (bsc#1071545)
- Fixed udev service
- Fixed no disk device with sfdisk (bsc#1078638)
* Tue Jan 30 2018 jason.record@suse.com
- Removed OPTION_SAM from man pages and resource file
- Validated missing commands
- Updated apparmor with systemctl service
- Replaced deprecated networking commands (bsc#1078318)
* Tue Jan 30 2018 jason.record@suse.com
- Removed sam_info since suse_sam is no longer available
- Assigned SLE15 to SLES_VER selections (bsc#1078168)
* Tue Jan 30 2018 jason.record@suse.com
- Includes X without display issue (bsc#1077813)
- Fixes for Infiniband (bsc#1071294)
- Using chrony for NTP (bsc#1077818)
* Fri Jan 26 2018 jason.record@suse.com
- Added os-release processing (bsc#1077758)
- Removed invalid string tty string (bsc#1077681)
- Added SLE15 taint values (bsc#1077683)
* Tue Jan 23 2018 jason.record@suse.com
- Added transactional update with OPTION_TRANSACTIONAL=1
- Updated supportconfig.conf.5 with OPTION_TRANSACTIONAL
* Fri Jan 19 2018 jason.record@suse.com
- Fixed docker package detection (bsc#1069457)
* Fri Jan  5 2018 jason.record@suse.com
- Replaced route with ip route (bsc#1070379)
- Added systemd-delta to systemd.txt (bsc#1071924)
- Changed repos -u to repos -d (bsc#1071926)
- Added rdma-core for infiniband (bsc#1071294)
* Tue Dec 19 2017 jason.record@suse.com
- Branding updates fate#324067
- Fixed piped spelling error
* Fri Oct 27 2017 jason.record@suse.com
- Separated core supportconfig function into resources/supportconfig.rc
- Removed virtualization functions
- Removed OES functions
- Removed eDirectory functions
* Thu Oct 26 2017 jason.record@suse.com
- Initial commit
